Subject: Ticket Assigned - About my order
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 26 Jul 2021 12:13:46 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  About my order  Hello,

So I have placed an order ,  and I was supposed to collect it from the store

But I didn't receive any message or email that is is ready and it was expected to be ready in 1-2 business days and today is the 5th day already...

So I am really upset with this delay....

And whenever I try to track the order an it says it can't load the url

So I am really lost here and I already paid for it.

Can I know what is the state of my order ...

And if I can have it delivered to my door instead since it is delayed already.

Order number; 6330823062

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2890766